package com.tofly.base.em;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 制水成本消息提示
 * @author FlashWJL
 * @date 2021/5/31 16:08
 */
@Getter
@AllArgsConstructor
public enum ZscbMessage {

    MONTH_PRICE("每月实际单价调整", "实际单价调整", "111116", "TF_YWPN_COSTBGPRICE_W", "608"),
    DAY_POD_WATER("每日填报实际用水量","实际用水量","111117","TF_YWPN_COSTRLWATER_W","607"),
    FINANCE_MONTH("每月财务填报","进行财务填报","111119","TF_YWPN_COSTRLFIXED_W","610"),
    MIN_FLOW_WARN("夜间最小流量异常通知","夜间最小流量异常","111121","TF_YWPN_DMANIGHTFLOW_W","3608"),
    SHOULD_ZJ_METER("需要周检水表个数：","到期水表进行周检操作","111120","TF_YWPN_QFKHJBXX_W","117"),
    ;

    /**
     * 消息主题
     */
    private String topic;
    /**
     * 消息详情
     */
    private String message;
    /**
     * 消息类型：0普通消息 1抢维修 2巡检 3工地 4隐患 5管网工单  6业务工单 7基础数据处理 0001上报 0002审核
     */
    private String type;
    /**
     * 消息链接表名
     */
    private String tableName;
    /**
     * 菜单ID
     */
    private String menuId;


}
